当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 依赖问题怎么解决???
帖子发表于 : 2009-05-19 18:16 

注册: 2008-11-06 12:39
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
终端出现vvv@vvv-desktop:~$ sudo apt-get install unrar
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
unrar 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 21 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
正在设置 gij-4.3 (4.3.3-5ubuntu4) ...
Bus error
dpkg:处理 gij-4.3 (--configure)时出错:
子进程 post-installation script 返回了错误号 2
dpkg:依赖关系问题使得 ecj 的配置工作不能继续:
ecj 依赖于 gij-4.3 (>= 4.3.3);然而:
软件包 gij-4.3 还没有被配置。
dpkg:处理 ecj (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 ecj-gcj 的配置工作不能继续:
ecj-gcj 依赖于 ecj (>= 3.4.2-0ubuntu1);然而:
软件包 ecj 还没有被配置。
dpkg:处理 ecj-gcj (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 libswt3.2-gtk-gcj (3.2.2-5ubuntu3) ...
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.
dpkg:处理 libswt3.2-gtk-gcj (--configure)时出错:
子进程 post-installation script 返回了错误号 2
No apport report written because MaxReports is reached already
dpkg:依赖关系问题使得 eclipse-rcp-gcj 的配置工作不能继续:
eclipse-rcp-gcj 依赖于 libswt3.2-gtk-gcj (= 3.2.2-5ubuntu3);然而:
软件包 libswt3.2-gtk-gcj 还没有被配置。
dpkg:处理 eclipse-rcp-gcj (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 eclipse-jdt-gcj 的配置工作不能继续:
eclipse-jdt-gcj 依赖于 eclipse-rcp-gcj (= 3.2.2-5ubuntu3);然而:
软件包 eclipse-rcp-gcj 还没有被配置。
dpkg:处理 eclipse-jdt-gcj (--configure)时出错:
依赖关系问题 - 仍未被配置
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
dpkg:依赖关系问题使得 eclipse-pde-gcj 的配置工作不能继续:
eclipse-pde-gcj 依赖于 eclipse-rcp-gcj (= 3.2.2-5ubuntu3);然而:
软件包 eclipse-rcp-gcj 还没有被配置。
dpkg:处理 eclipse-pde-gcj (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 eclipse-platform-gcj 的配置工作不能继续:
eclipse-platform-gcj 依赖于 eclipse-rcp-gcj (= 3.2.2-5ubuntu3);然而:
软件包 eclipse-rcp-gcj 还没有被配置。
dpkg:处理 eclipse-platform-gcj (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 gappletviewer-4.3 的配置工作不能继续:
gappletviewer-4.3 依赖于 gij-4.3 (= 4.3.3-5ubuntu4);然而:
软件包 gij-4.3 还没有被配置。
dpkg:处理 gappletviewer-4.3 (--configure)时出错:
依赖关系问题 - 仍未被配置
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
dpkg:依赖关系问题使得 gcj-4.3 的配置工作不能继续:
gcj-4.3 依赖于 gij-4.3 (= 4.3.3-5ubuntu4);然而:
软件包 gij-4.3 还没有被配置。
dpkg:处理 gcj-4.3 (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 libgcj9-dev 的配置工作不能继续:
libgcj9-dev 依赖于 gcj-4.3 (= 4.3.3-5ubuntu4);然而:
软件包 gcj-4.3 还没有被配置。
dpkg:处理 libgcj9-dev (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 java-gcj-compat-headless 的配置工作不能继续:
java-gcj-compat-headless 依赖于 gij-4.3 (>= 4.3);然而:
软件包 gij-4.3 还没有被配置。
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
dpkg:处理 java-gcj-compat-headless (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 gjdoc (0.7.9-1) ...
dpkg:处理 gjdoc (--configure)时出错:
子进程 post-installation script 返回了错误号 2
No apport report written because MaxReports is reached already
dpkg:依赖关系问题使得 java-gcj-compat 的配置工作不能继续:
java-gcj-compat 依赖于 java-gcj-compat-headless (= 1.0.80-1);然而:
软件包 java-gcj-compat-headless 还没有被配置。
dpkg:处理 java-gcj-compat (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 java-gcj-compat-dev 的配置工作不能继续:
java-gcj-compat-dev 依赖于 java-gcj-compat (= 1.0.80-1);然而:
软件包 java-gcj-compat 还没有被配置。
java-gcj-compat-dev 依赖于 gcj-4.3;然而:
软件包 gcj-4.3 还没有被配置。
java-gcj-compat-dev 依赖于 ecj-gcj (>= 3.3.0+0728);然而:
软件包 ecj-gcj 还没有被配置。
java-gcj-compat-dev 依赖于 gjdoc (>= 0.7.8);然而:
软件包 gjdoc 还没有被配置。No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already

java-gcj-compat-dev 依赖于 gappletviewer-4.3;然而:
软件包 gappletviewer-4.3 还没有被配置。
dpkg:处理 java-gcj-compat-dev (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 libantlr-java-gcj (2.7.7-11) ...
dpkg:处理 libantlr-java-gcj (--configure)时出错:
子进程 post-installation script 返回了错误号 2
dpkg:依赖关系问题使得 libgcj9-src 的配置工作不能继续:
libgcj9-src 依赖于 gcj-4.3 (>= 4.3.3-1);然而:
软件包 gcj-4.3 还没有被配置。
dpkg:处理 libgcj9-src (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 ttf-mscorefonts-installer (2.6) ...
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

--2009-05-19 18:12:44-- http://surfnet.dl.sourceforge.net/sourc ... dale32.exe
正在解析主机 surfnet.dl.sourceforge.net... 130.59.138.21
正在连接 surfnet.dl.sourceforge.net|130.59.138.21|:80... 失败:连接超时。
已放弃。

--2009-05-19 18:12:49-- http://mesh.dl.sourceforge.net/sourcefo ... dale32.exe
正在解析主机 mesh.dl.sourceforge.net... 213.203.218.122
正在连接 mesh.dl.sourceforge.net|213.203.218.122|:80... 失败:连接超时。
已放弃。

--2009-05-19 18:13:00-- http://dfn.dl.sourceforge.net/sourcefor ... dale32.exe
正在解析主机 dfn.dl.sourceforge.net... 194.95.236.6
正在连接 dfn.dl.sourceforge.net|194.95.236.6|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 302 Found
位置:http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=dfn.dl.sourceforge.net [跟随至新的 URL]
--2009-05-19 18:13:08-- http://downloads.sourceforge.net/source ... eforge.net
正在解析主机 downloads.sourceforge.net... 216.34.181.59
正在连接 downloads.sourceforge.net|216.34.181.59|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 302 Found
位置:http://nchc.dl.sourceforge.net/sourceforge/corefonts/andale32.exe [跟随至新的 URL]
--2009-05-19 18:13:11-- http://nchc.dl.sourceforge.net/sourcefo ... dale32.exe
正在解析主机 nchc.dl.sourceforge.net... 211.79.60.17
正在连接 nchc.dl.sourceforge.net|211.79.60.17|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 200 OK
长度: 198384 (194K) [application/x-msdownload]
保存到‘./andale32.exe’

100%[======================================>] 198,384 22.5K/s in 8.6s

2009-05-19 18:13:27 (22.5 KB/s) - `./andale32.exe' 已经保存 [198384/198384]

--2009-05-19 18:13:27-- http://dfn.dl.sourceforge.net/sourcefor ... ialb32.exe
正在解析主机 dfn.dl.sourceforge.net... 194.95.236.6
正在连接 dfn.dl.sourceforge.net|194.95.236.6|:80... 失败:连接超时。
已放弃。

--2009-05-19 18:13:32-- http://heanet.dl.sourceforge.net/source ... ialb32.exe
正在解析主机 heanet.dl.sourceforge.net... 193.1.193.66
正在连接 heanet.dl.sourceforge.net|193.1.193.66|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 200 OK
长度: 168176 (164K) [application/x-msdos-program]
保存到‘./arialb32.exe’

53% [===================> ] 90,192 3.43K/s eta 21s ^54% [====================> ] 91,640 54% [====================> ] 91,640 --.-K/s eta 54% [====================> ] 91,640 --.-K/s eta 54% [====================> ] 91,640 --.-K/s eta 54% [====================> ] 91,640 --.-K/s eta 54% [====================> ] 91,640 --.-K/s eta 54% [====================>






请问怎么解决 !!
我知道是依赖问题!!!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 依赖问题怎么解决???
帖子发表于 : 2009-05-19 18:26 
头像

注册: 2008-05-27 10:45
帖子: 317
送出感谢: 0 次
接收感谢: 0 次
upgrade, update 几下,

再有问题也应该会有提示,按提示做好了,


_________________
blog: http://sxpspace.blogspot.com , http://hi.baidu.com/sxpspace
amd 5000+ /nvidia 8500gt
debian testing amd64/xfce4
#nvidia 官方驱动真是越来越垃圾了,无语。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 依赖问题怎么解决???
帖子发表于 : 2009-05-20 12:42 

注册: 2008-11-06 12:39
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
谢谢了,不过我用了一种更厉害的方法,重装 了系统 !!还是很感谢你,下次一定试试!!


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 依赖问题怎么解决???
帖子发表于 : 2009-09-11 19:24 

注册: 2008-09-12 17:43
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
貌似是装微软字体包出现的问题,我的是在装wine的时候,系统推荐装那个字体包,我就装了,结果就出现问题,删除就好了。

sudo aptitude purge ttf-mscorefonts-installer ubuntu-restricted-extras


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译